<?php
$file = fopen("dane.txt", "a+"); // otwórz plik
if (flock($file, LOCK_EX)) // zablokuj plik
{
    fwrite($file, "Jakiś tekst"); // zapisz do pliku
    flock($file, LOCK_UN); // zwolnij blokadę
}
else // plik jest już zablokowany
{
    print "Nie mogę zapisać, bo plik jest zablokowany!";
}
fclose($file); // zamknij plik